package com.facebook.share.model;

import X.M12;
import X.M8R;
import X.M8U;
import android.os.Bundle;
import android.os.Parcel;
import com.bytedance.covode.number.Covode;
import com.facebook.share.model.ShareMedia;

public abstract class ShareMedia<M extends ShareMedia<M, B>, B extends M8U<M, B>> implements ShareModel {
    public final Bundle LIZ;

    static {
        Covode.recordClassIndex(42111);
    }

    public abstract M8R LIZ();

    public int describeContents() {
        return 0;
    }

    public ShareMedia(M8U<M, B> m8u) {
        M12.LIZ((Object) m8u);
        this.LIZ = new Bundle(m8u.LIZIZ);
    }

    public ShareMedia(Parcel parcel) {
        M12.LIZ((Object) parcel);
        Bundle readBundle = parcel.readBundle(getClass().getClassLoader());
        this.LIZ = readBundle == null ? new Bundle() : readBundle;
    }

    public void writeToParcel(Parcel parcel, int i) {
        M12.LIZ((Object) parcel);
        parcel.writeBundle(this.LIZ);
    }
}
